cppcheck (2.17.1-2build1) questing; urgency=medium

  * No-change rebuild for libtinyxml2-11.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Sat, 03 May 2025 16:20:54 +0000

cppcheck (2.17.1-2) unstable; urgency=medium

  * Disable autopkgtests on ppc64el, thanks to Michael Prokop (see #1099986).

 -- Joachim Reichel <reichel@debian.org>  Mon, 14 Apr 2025 18:09:01 +0200

cppcheck (2.17.1-1) unstable; urgency=medium

  * New upstream version.
  * Change debian/watch to point to github since not all releases appear on
    sourceforge (or only with delay).
  * Update Standards-Version to 4.7.2 (no changes needed).

 -- Joachim Reichel <reichel@debian.org>  Thu, 27 Feb 2025 08:16:58 +0100

cppcheck (2.16.0-1) unstable; urgency=medium

  * New upstream version.

 -- Joachim Reichel <reichel@debian.org>  Mon, 28 Oct 2024 18:09:16 +0100

cppcheck (2.15.0-1) unstable; urgency=medium

  * New upstream version (Closes: #952400).
  * Update Standards-Version to 4.7.0 (no changes needed).

 -- Joachim Reichel <reichel@debian.org>  Mon, 02 Sep 2024 08:01:51 +0200

cppcheck (2.14.0-1) unstable; urgency=medium

  * New upstream version.
  * Remove patch patches/disable-some-tests-on-32bit-platforms (fixed
    upstream).
  * Change -DUSE_MATCHCOMPILER argument from "ON" to "On" since "ON" is no
    longer accepted.

 -- Joachim Reichel <reichel@debian.org>  Thu, 25 Apr 2024 20:55:05 +0200

cppcheck (2.13.0-2) unstable; urgency=medium

  * Extend disable-some-tests-on-32bit-platforms to disable another test in
    testother.cpp (upstream #12300).

 -- Joachim Reichel <reichel@debian.org>  Fri, 29 Dec 2023 08:14:30 +0000

cppcheck (2.13.0-1) unstable; urgency=medium

  * New upstream version.
  * Remove patch disable-some-tests-about-char-signedness  (fixed upstream).
  * Build cppcheck-gui against Qt6 instead of Qt5 as per cppcheck build
    system deprecation message:
    * Replace Build-Depends libqt5charts5-dev, qt5-qmake, qtbase5-dev,
      qtbase5-dev-tools, and qttools5-dev by qt6-base-dev,
      qt6-base-dev-tools, qt6-charts-dev, and qt6-tools-dev
    * Re-enable QCharts support again on all platforms (ia64 and sparc64
      seem to keep up again, powerpc is completely gone).

 -- Joachim Reichel <reichel@debian.org>  Thu, 28 Dec 2023 09:17:07 +0100

cppcheck (2.12.0-1) unstable; urgency=medium

  * New upstream version.
  * Remove patches fix-version and fix-qt-compile-definitions (fixed
    upstream).

 -- Joachim Reichel <reichel@debian.org>  Sat, 16 Sep 2023 13:06:16 +0200

cppcheck (2.11-3) unstable; urgency=medium

  * Disable rules support and remove build dependency on PCRE1 due to the
    removal of PCRE1 (Closes: #1000024).

 -- Joachim Reichel <reichel@debian.org>  Sat, 01 Jul 2023 12:01:04 +0200

cppcheck (2.11-2) unstable; urgency=medium

  * Update patch disable-some-tests-about-char-signedness to disable
    another failing test on armhf etc. (Closes: 1038983).

 -- Joachim Reichel <reichel@debian.org>  Mon, 26 Jun 2023 22:50:55 +0200

cppcheck (2.11-1) unstable; urgency=medium

  * New upstream version (Closes: #1037608).
  * Add patches applying fix-version and fix-qt-compile-definitions.
  * Remove plist*.plist in dh_clean target.

 -- Joachim Reichel <reichel@debian.org>  Fri, 23 Jun 2023 19:06:35 +0200

cppcheck (2.10-2) unstable; urgency=medium

  * Add patch disable-some-tests-about-char-signedness.
  * Remove patch fix-version (fixed upstream).

 -- Joachim Reichel <reichel@debian.org>  Mon, 06 Feb 2023 08:33:11 +0100

cppcheck (2.10-1) unstable; urgency=medium

  * New upstream release.
  * Backup and restore Makefile and gui/*.ts which are modified during
    the build.
  * Fix lintian override for bsd.cfg.
  * Remove unnecessary constraints in debian/control.
  * Update Standards-Version to 4.6.2 (no changes needed).

 -- Joachim Reichel <reichel@debian.org>  Sun, 05 Feb 2023 15:38:07 +0100

cppcheck (2.9-1) unstable; urgency=medium

  * New upstream release.
  * Disable QCharts support also on powerpc (no recent version available,
    causing build failures).

 -- Joachim Reichel <reichel@debian.org>  Mon, 05 Sep 2022 14:53:04 +0200

cppcheck (2.8-2) unstable; urgency=medium

  * Disable QCharts support on ia64 and sparc64 (no recent version
    available, causing build failures).
  * Remove libz3-dev from Build-Depends:, remove -DUSE_Z3=ON from cmake
    options (no longer available in free cppcheck version).

 -- Joachim Reichel <reichel@debian.org>  Mon, 22 Aug 2022 08:02:57 +0200

cppcheck (2.8-1) unstable; urgency=medium

  * Remove patch fix-build-with-unbundled-tinyxml (fixed upstream).
  * Update Standards-Version to 4.6.1 (no changes needed).
  * debian/tests/control: Remove flaky restriction.

 -- Joachim Reichel <reichel@debian.org>  Wed, 25 May 2022 09:10:21 +0200

cppcheck (2.7-1) unstable; urgency=medium

  * New upstream release.
  * Add patch fix-build-with-unbundled-tinyxml.
  * Rename patch fix-tests-on-32bit-platforms to
    disable-some-tests-on-32bit-platforms.
  * Remove patch load-cfg-relative-to-executable-before-filesdir (no longer
    necessary since cfgfolders is now processed back to front).
  * Add autopkgtests (marked as flaky for now).

 -- Joachim Reichel <reichel@debian.org>  Wed, 09 Feb 2022 21:00:04 +0100

cppcheck (2.6-2) unstable; urgency=medium

  * Rebuild against dpkg >= 1.21.0 (Closes: #1000146).

 -- Joachim Reichel <reichel@debian.org>  Sat, 27 Nov 2021 12:00:41 +0100

cppcheck (2.6-1) unstable; urgency=medium

  * New upstream release.
  * Update debian/watch to version 4.
  * Update Standards-Version to 4.6.0 (no changes needed).
  * Use HTTPS for Homepage: field in debian/control.

 -- Joachim Reichel <reichel@debian.org>  Thu, 21 Oct 2021 18:20:35 +0200

cppcheck (2.5-4) unstable; urgency=medium

  * Really disable TestExprEngine::array7 on 32bit platforms
    (armel/armhf/powerpc/x32 produce yet another output compared to i386).

 -- Joachim Reichel <reichel@debian.org>  Sat, 21 Aug 2021 18:39:00 +0200

cppcheck (2.5-3) unstable; urgency=medium

  * Disable (partially new) failing tests on 32bit platforms
    (Closes: #992596).

 -- Joachim Reichel <reichel@debian.org>  Sat, 21 Aug 2021 12:56:24 +0200

cppcheck (2.5-2) unstable; urgency=medium

  * Upload to unstable.

 -- Joachim Reichel <reichel@debian.org>  Sun, 15 Aug 2021 17:22:08 +0200

cppcheck (2.5-1) experimental; urgency=medium

  * New upstream release.
  * Update debian/copyright for external libraries.

 -- Joachim Reichel <reichel@debian.org>  Wed, 07 Jul 2021 20:48:01 +0200

cppcheck (2.4-1) experimental; urgency=medium

  * New upstream release (Closes: #977328, #984026).

 -- Joachim Reichel <reichel@debian.org>  Mon, 22 Mar 2021 19:51:04 +0100

cppcheck (2.3-1) unstable; urgency=medium

  * New upstream release (Closes: #943463).
    - Removed patch use-system-tinyxml (proper cmake option now).
    - Remove patch fix-translation-loading (no longer necessary).
  * Add libz3-dev to Build-Depends:, add -DUSE_Z3=ON to cmake options.
  * Use debhelper compat version 13 (no changes needed).
  * Update Standards-Version to 4.5.1 (no changes needed).

 -- Joachim Reichel <reichel@debian.org>  Sat, 12 Dec 2020 11:26:59 +0100

cppcheck (2.2-1) unstable; urgency=medium

  * New upstream release (Closes: #966386).
  * Add Suggests: clang to cppcheck, and Suggests: clang-tidy to cppcheck
    and cppcheck-gui.
  * Remove patch fix-y2038 (superseded upstream).
  * Update patch fix-translation-loading.

 -- Joachim Reichel <reichel@debian.org>  Sun, 11 Oct 2020 17:42:26 +0200

cppcheck (2.1-1) unstable; urgency=medium

  * New upstream release.
    - Remove patch fix-cmake (applied upstream).
    - Remove patch fix-pythonhome (superseded upstream).
    - Update patch fix-default-settings.
    - Add patch fix-y2038.

 -- Joachim Reichel <reichel@debian.org>  Thu, 18 Jun 2020 18:54:23 +0200

cppcheck (2.0-3) unstable; urgency=medium

  * Add patch fix-pythonhome (Closes: #961925).
  * Remove gdb from Build-Depends (unclear why it existed).
  * Fix lintian override for extra-license-file.
  * Set upstream metadata fields: Bug-Database, Repository, Repository-Browse
  * Add Vcs-* fields to debian/control.

 -- Joachim Reichel <reichel@debian.org>  Wed, 20 May 2020 21:21:17 +0200

cppcheck (2.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Joachim Reichel <reichel@debian.org>  Wed, 20 May 2020 20:50:52 +0200

cppcheck (2.0-1) experimental; urgency=medium

  * New upstream release.
    - Remove patch adjust-warnings (applied upstream).
    - Update patch fix-default-settings.
    - Add patch fix-cmake.

 -- Joachim Reichel <reichel@debian.org>  Wed, 13 May 2020 18:22:43 +0200

cppcheck (1.90-4) unstable; urgency=medium

  * Re-add cppcheck-htmlreport which got lost in 1.90-2 (Closes: #949944).
  * Update Standards-Version to 4.5.0 (no changes needed).

 -- Joachim Reichel <reichel@debian.org>  Mon, 27 Jan 2020 22:38:54 +0100

cppcheck (1.90-3) unstable; urgency=medium

  * Improve debian/rules (thanks to Lisandro Meyer), in particular fix
    for parallel builds and simplifications (Closes: #949181).
  * Add versioned Depends: cppcheck to cppcheck-gui due to the cfg files
    (Closes: #949199, LP: #1854552).
  * Remove unused debian/clean and debian/dirs.

 -- Joachim Reichel <reichel@debian.org>  Sat, 18 Jan 2020 10:22:50 +0100

cppcheck (1.90-2) unstable; urgency=medium

  * Use build system based on cmake which supports generation of *.qm files
    required for translations (Closes: #948885).
  * Recreate all patches as necessary. This should also fix usage of addons.
  * Enable QCharts support (Closes: #948888).

 -- Joachim Reichel <reichel@debian.org>  Thu, 16 Jan 2020 22:12:42 +0100

cppcheck (1.90-1) unstable; urgency=medium

  * New upstream release.
  * Remove patch bug-9353 (fixed upstream).
  * Remove debian/source/include-binaries (unnecessary, added by accident
    in 1.77-1).
  * Use debhelper compat version 12 (no changes needed).

 -- Joachim Reichel <reichel@debian.org>  Mon, 30 Dec 2019 10:07:19 +0100

cppcheck (1.89-4) unstable; urgency=medium

  * Add patch bug-9359: Loosen check to ignore char vs signed char vs
    unsigned char.

 -- Joachim Reichel <reichel@debian.org>  Sat, 05 Oct 2019 12:46:53 +0200

cppcheck (1.89-3) unstable; urgency=medium

  * Fix patch fix-default-settings: do not use FILESDIR in tryLoadLibrary(),
    use separate cppcheck binary with different FILESDIR setting for tests.

 -- Joachim Reichel <reichel@debian.org>  Tue, 01 Oct 2019 03:07:56 +0200

cppcheck (1.89-2) unstable; urgency=medium

  * Fix patch fix-default-settings: remove "cfg" path component from
    FILESDIR, use FILESDIR in tryLoadLibrary().

 -- Joachim Reichel <reichel@debian.org>  Mon, 30 Sep 2019 21:33:05 +0200

cppcheck (1.89-1) unstable; urgency=medium

  * New upstream release.
  * Remove redundant X-Python-Version: from debian/control.
  * Update Standards-Version to 4.4.1 (no changes needed).

 -- Joachim Reichel <reichel@debian.org>  Mon, 30 Sep 2019 19:45:13 +0200

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog cppcheck`.
